aboutsummaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* wireshark: add snappy optional dependencyGravatar Fabrice Fontaine2018-11-071-1/+7
| | | | | | | | | - Optional dependency to snappy has been added with version 2.4.0 and https://github.com/wireshark/wireshark/commit/47649d1c7fb6ba48b805e19268a711404eb6908b - Specify the path to found libssh as this is done for other options Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com> Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be>
* wireshark: add lz4 optional dependencyGravatar Fabrice Fontaine2018-11-071-1/+7
| | | | | | | | | - Optional dependency to lz4 has been added with version 2.4.0 and https://github.com/wireshark/wireshark/commit/47649d1c7fb6ba48b805e19268a711404eb6908b - Specify the path to found lz4 as this is done for other options Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com> Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be>
* wireshark: add bcg729 optional dependencyGravatar Fabrice Fontaine2018-11-071-1/+7
| | | | | | | | | - Optional dependency to bcg729 has been added with version 2.5.0 and https://github.com/wireshark/wireshark/commit/3e54cabf8193e6a8cd607b1671defb8b6800b53d - Specify the path to found bcg729 as this is done for other options Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com> Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be>
* wireshark: add nghttp2 optional dependencyGravatar Fabrice Fontaine2018-11-071-1/+7
| | | | | | | | | | - Embedded nghttp2 code has been removed and an optional dependency to nghttp2 has been added with version 2.4.0 and https://github.com/wireshark/wireshark/commit/b1cc056b12702435f6ebdc6ba0a8e17a41e159a0 - Specify the path to found nghttp2 as this is done for other options Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com> Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be>
* wireshark: add libxml2 optional dependencyGravatar Fabrice Fontaine2018-11-071-1/+7
| | | | | | | | Optional dependency to libxml2 has been added with version 2.4.0 and https://github.com/wireshark/wireshark/commit/cfab5ef035db7be8502623af203ab3494a9200e3 Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com> Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be>
* wireshark: bump to version 2.6.4Gravatar Fabrice Fontaine2018-11-075-97/+22
| | | | | | | | | | | | | | | | | | | | | | - Remove first patch (inet_pton test removed since version 2.5.0 and https://github.com/wireshark/wireshark/commit/12d63c428f973b1f7e04ad58d432d778e2035a9a) - Remove second patch (already in version, since https://github.com/wireshark/wireshark/commit/3761ef378537f6a9e0424f7cbded7e7403ba425c) - Remove WIRESHARK_AUTORECONF=yes as configure.ac is not patched anymore - gcrypt is a mandatory dependency since version 2.4.0 and https://github.com/wireshark/wireshark/commit/6b84ddee83e70aff944da084129624226b7a32fa - geoip support has been replaced by maxminddb since version 2.5.0 and https://github.com/wireshark/wireshark/commit/a1da75c554881667dd92e11f098630f2d604872b - Drop includedir "hack", this is not needed anymore and wireshark is now installing files in target. With this hack, build fails on: wireshark: installs files in /home/fabrice/buildroot/output/target//home/fabrice/buildroot/output package/pkg-generic.mk:310: recipe for target '/home/fabrice/buildroot/output/build/wireshark-2.6.4/.stamp_target_installed' failed - Disable all new optional features Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com> [Arnout: keep optional dependencies alphabetic on Config.in name; add comment of libgcrypt -> libgpg-error dependency.] Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be>
* Config.in: security hardening: disable FORTIFY_SOURCE for gcc < 6Gravatar Romain Naour2018-11-061-0/+4
| | | | | | | | | | | | | | | | | | | | As reported in the bug report [1], gcc < 6 doesn't build when FORTIFY_SOURCE is set to 1 or 2. The issue is related to the upstream bug report [2] but the patch fixing the issue for gcc 6 has not been backported to earlier gcc versions. Add a dependency on gcc at least version 6 to BR2_FORTIFY_SOURCE_1 and BR2_FORTIFY_SOURCE_2. [1] https://bugs.busybox.net/show_bug.cgi?id=11476 [2] https://gcc.gnu.org/bugzilla/show_bug.cgi?id=61164 [3] https://github.com/gcc-mirror/gcc/commit/55f12fce4ccf77513644a247f9c401a5b1fa2402 Signed-off-by: Romain Naour <romain.naour@gmail.com> Cc: Matthew Weber <matthew.weber@rockwellcollins.com> Cc: Peter Korsgaard <peter@korsgaard.com> [Peter: only limit for internal toolchain as suggested by Matthew] Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* ifupdown-script: send current hostname in DHCP requestGravatar Peter Korsgaard2018-11-051-0/+1
| | | | | | | | | | | | | | For the default (BR2_SYSTEM_DHCP) /etc/network/interfaces handling. Both the "big" and busybox ifupdown variants pass the hostname argument to the DHCP client through the shell, so we can use $() to expand to the current hostname value. Notice that this may not be handled by all DHCP clients. Signed-off-by: Peter Korsgaard <peter@korsgaard.com> Reviewed-by: Matt Weber <matthew.weber@rockwellcollins.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* ngrep: fix static buildGravatar Fabrice Fontaine2018-11-051-1/+1
| | | | | | | | | | | | Commit 54eeb08d6498e54cc77e212e4f9873b579f76638 wrongly replaced `$(STAGING_DIR)/usr/bin/pcap-config --static --additional-libs` by "$(STAGING_DIR)/usr/bin/pcap-config --static --additional-libs" Fixes: - http://autobuild.buildroot.org/results/3dd8c768beef075494d6be7eff4cbb57b5ec8a41 Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* webkitgtk: disable JIT usage on MIPS32 R6Gravatar Adrian Perez de Castro2018-11-051-2/+2
| | | | | | | | | | | | | | Currently JavaScriptCore does not support JIT on MIPS32 R6, so remove it from the list of supported architectures. Reported upstream: https://bugs.webkit.org/show_bug.cgi?id=191258 This fixes the following autobuilder failure: http://autobuild.buildroot.net/results/eeaf3edbf6f5bf468b10adc3d053f703c6ceba96/ Signed-off-by: Adrian Perez de Castro <aperez@igalia.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* package/ffmpeg: bump version to 3.4.5Gravatar Bernd Kuhls2018-11-042-2/+2
| | | | | Signed-off-by: Bernd Kuhls <bernd.kuhls@t-online.de> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* package/tor: bump version to 0.3.4.9Gravatar Bernd Kuhls2018-11-042-2/+2
| | | | | | | Release notes: https://blog.torproject.org/new-release-tor-0349 Signed-off-by: Bernd Kuhls <bernd.kuhls@t-online.de> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* package/ngrep: add optional dependency on libdnetGravatar Fabrice Fontaine2018-11-041-3/+9
| | | | | | | | | - Enable tcpkill based on libnet availability - Add BSD-3-Clause for tcpkill, added in version 1.46 and https://github.com/jpr5/ngrep/commit/f2a1f8b09194a8ab87787c1fdb60b968f5957c05 Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* package/ngrep: bump to version 1.47Gravatar Fabrice Fontaine2018-11-049-75/+103
| | | | | | | | | | | | | | | | | | | | | | | | - Switch site from sourceforge to github as there is no new releases on sourceforge and http://ngrep.sourceforge.net/ is redirected to https://github.com/jpr5/ngrep/ - Remove first patch, not needed since version 1.46 and https://github.com/jpr5/ngrep/commit/997c9d81d34d3a6646e6c5e363645015e644b3de as this commit added the support for system pcre - Remove second patch, not needed since version 1.46 and https://github.com/jpr5/ngrep/commit/2d8fd9ac7ef1ac6947f738f6005e7b533654f331 - Remove third patch and LIBS=-lpcap -lpcre, not needed since 1.46 and https://github.com/jpr5/ngrep/commit/cca6e3121f2d80dd32a5a33dead9495fe40eed70 - LICENSE.txt has been renamed to LICENSE since version 1.47 and https://github.com/jpr5/ngrep/commit/3cb4c580a9de4afe11c2c17b0f354b59b74ae974 - Add an upstream patch to fix --enable-pcre: keep pcre as a mandatory dependency as this is the current behavior in version 1.45. PCRE will made optional in an other patch - Remove --with-pcre which is not recognized anymore - Add two other patches to fix --disable-tcpkill - Add hash for license file Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* libssh2: fix static linking scenarios involving mbedtlsGravatar Fabrice Fontaine2018-11-041-1/+5
| | | | | | | | | | | | | | | | | | | | curl can be statically linked with mbedtls, in this case build will fail on: kex.c:(.text+0x1be0): undefined reference to `mbedtls_mpi_read_binary' This is due to the fact that CURL_LIBRARIES does not contain mbedtls library: CURL_LIBRARIES:INTERNAL=curl;cares;ssh2;ssh2;z;ssl;crypto;z;z;crypto;z;z;ssl;z;z;crypto;z even if libcurl.pc is correct: Libs.private: -lcares -lssh2 -L/home/fabrice/buildroot/output/host/bin/../arm-buildroot-linux-uclibcgnueabi/sysroot/usr/lib -lssh2 /home/fabrice/buildroot/output/host/arm-buildroot-linux-uclibcgnueabi/sysroot/usr/lib/libmbedcrypto.a /home/fabrice/buildroot/output/host/arm-buildroot-linux-uclibcgnueabi/sysroot/usr/lib/libmbedcrypto.a -L/home/fabrice/buildroot/output/host/bin/../arm-buildroot-linux-uclibcgnueabi/sysroot/usr/lib -L/home/fabrice/buildroot/output/host/bin/../arm-buildroot-linux-uclibcgnueabi/sysroot/usr/lib -lz -lssl -lcrypto -lssl -lz -lz -lcrypto -lz -lz This full library path is added by patch 0002-acinclude.m4-add-mbedtls-to-LIBS.patch on libssh2 so update it to replace $LIBMBDEDCRYPTO by -lmbedcrypto Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* Revert "package/libssh2: fix static linking scenarios involving mbedtls"Gravatar Fabrice Fontaine2018-11-041-5/+1
| | | | | | | | | | | | | | | | | | This reverts commit 48218732a3a7b983825ff3a8cf0767f847ac8d04 because LTLIBMBEDCRYPTO will return "-lmbedcrypto -R/accts/mlweber1/scripts/instance-3/output/host/i586-buildroot-linux-musl/sysroot/usr/lib" On some compilers, -R option won't be recognized and this will prevent the detection of libz: configure:17809: /accts/mlweber1/scripts/instance-3/output/host/bin/i586-linux-gcc -o conftest -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -Os -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -I/accts/mlweber1/scripts/instance-3/output/host/i586-buildroot-linux-musl/sysroot/usr/include conftest.c /accts/mlweber1/scripts/instance-3/output/host/i586-buildroot-linux-musl/sysroot/usr/lib/libz.so -Wl,-rpath -Wl,/accts/mlweber1/scripts/instance-3/output/host/i586-buildroot-linux-musl/sysroot/usr/lib -L/accts/mlweber1/scripts/instance-3/output/host/i586-buildroot-linux-musl/sysroot/usr/lib -lmbedcrypto -R/accts/mlweber1/scripts/instance-3/output/host/i586-buildroot-linux-musl/sysroot/usr/lib >&5 i586-linux-gcc.br_real: error: unrecognized command line option '-R'; did you mean '-R'? Fixes: - http://autobuild.buildroot.org/results/68623f22b49473177c889fe7b12625d779cbd1ed Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* toolchain: disable SSP support if CFI support in binutils is missingGravatar Romain Naour2018-11-044-2/+10
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | As reported by [1], SSP support is missing in the Buildroot toolchain for microblaze even if it's requested by selecting BR2_TOOLCHAIN_HAS_SSP config option. In Buildroot, we are using libssp provided by the C library (glibc, musl, uClibc-ng) when available. We are not using libssp from gcc. So for a microblaze glibc based toolchain, the SSP support is enabled unconditionally by a select BR2_TOOLCHAIN_HAS_SSP. BR2_microblazeel=y BR2_TOOLCHAIN_BUILDROOT_GLIBC=y BR2_KERNEL_HEADERS_4_14=y BR2_BINUTILS_VERSION_2_30_X=y BR2_GCC_VERSION_8_X=y BR2_TOOLCHAIN_BUILDROOT_CXX=y While building the toolchain, we are building host-binutils which provide "as" (assembler) and host-gcc-initial wich provide a minimal cross gcc (C only cross-compiler without any C library). When SSP support is requested, gcc_cv_libc_provides_ssp=yes is added to the make command line (see [2] for full details) With this setting, the SSP support is requested but it's not available in the end and the toochain build succeed. When the microblaze toolchain is imported to Biuldroot (2018.05) as external toolchain with BR2_TOOLCHAIN_EXTERNAL_HAS_SSP set, the build stop with : "SSP support not available in this toolchain, please disable BR2_TOOLCHAIN_EXTERNAL_HAS_SSP" The test is doing the following command line: echo 'void main(){}' | [...]/host/bin/microblazeel-linux-gcc.br_real -Werror -fstack-protector -x c - -o [...]/build/.br-toolchain-test.tmp cc1: error: -fstack-protector not supported for this target [-Werror] When we look at the gcc-final log file (config.log) we can see this error several time when using the minimal gcc (from host-gcc-initial). So Why the minimal gcc doesn't support SSP? When we look at the gcc-initial log file (config.log) we can see an error with 'as': configure:23194: checking assembler for cfi directives configure:23209: [...]microblazeel-buildroot-linux-gnu/bin/as -o conftest.o conftest.s >&5 conftest.s: Assembler messages: conftest.s:2: Error: CFI is not supported for this target conftest.s:3: Error: CFI is not supported for this target conftest.s:4: Error: CFI is not supported for this target conftest.s:5: Error: CFI is not supported for this target conftest.s:6: Error: CFI is not supported for this target conftest.s:7: Error: CFI is not supported for this target configure:23212: $? = 1 configure: failed program was .text .cfi_startproc .cfi_offset 0, 0 .cfi_same_value 1 .cfi_def_cfa 1, 2 .cfi_escape 1, 2, 3, 4, 5 .cfi_endproc This is the only relevant difference compared to a nios2 toolchain where libssp is enabled and available (nios2 is an example). "CFI" stand for "Control Flow Integrity" and it seems that SSP support requires CFI target support (see [3] for some explanation). The SSP support seems to depends on CFI support, but the toolchain infrastructure is not detailed enough to handle the CFI dependency. The NiosII toolchains built with binutils < 2.30 are also affected by this issue. This patch improve the toolchain infrastructure by adding a new BR2_PACKAGE_HOST_BINUTILS_SUPPORTS_CFI blind option Disable SSP support for microblaze entirely. Disable SSP support for nios2 only with Binutils < 2.30. Fixes: https://gitlab.com/free-electrons/toolchains-builder/-/jobs/72006389 [1] https://gitlab.com/free-electrons/toolchains-builder/issues/1 [2] https://git.buildroot.net/buildroot/tree/package/gcc/gcc.mk?h=2018.05#n275 [3] https://grsecurity.net/rap_faq.php Signed-off-by: Romain Naour <romain.naour@gmail.com> Cc: Thomas Petazzoni <thomas.petazzoni@bootlin.com> [Thomas: adjust how the BR2_PACKAGE_HOST_BINUTILS_SUPPORTS_CFI option is expressed.] Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* package/php: add support for PostgreSQL (non-PDO)Gravatar Bernd Kuhls2018-11-042-0/+19
| | | | | | | | Needed for example for phppgadmin. Signed-off-by: Bernd Kuhls <bernd.kuhls@t-online.de> [Thomas: add missing BR2_USE_WCHAR dependency.] Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* package/audit: bump to version 2.8.4Gravatar Carlos Santos2018-11-032-2/+2
| | | | | | | | | | Fix a segfault in auditd when dns resolution isn't available. Additional changes since 2.8.2 can be seen at http://people.redhat.com/sgrubb/audit/ChangeLog Signed-off-by: Carlos Santos <casantos@datacom.com.br> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* linux: enable CONFIG_AUDIT if the audit package is selectedGravatar Carlos Santos2018-11-031-0/+3
| | | | | | | | | | | We already turn on kernel features for several packages, so let's do it for audit too, since the daemon is useless and fails to load otherwise. Notice that we also turn NET on, since AUDIT depends on NET, like we do for the wireguard package. Signed-off-by: Carlos Santos <casantos@datacom.com.br> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* package/audit: ensure that it starts after the logging daemonGravatar Carlos Santos2018-11-032-1/+1
| | | | | | | | | | audit uses syslog(). Rename its init script to S02auditd to ensure that it will start after syslogd. Otherwise the initial log messages will be sent to the console (and probably lost, since almost nobody watches the system console on embedded systems). Signed-off-by: Carlos Santos <casantos@datacom.com.br> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* package/audit: fix audispd path in auditd.confGravatar Carlos Santos2018-11-031-0/+32
| | | | | | | | | | | audispd is installed at /usr/sbin but the configuration file pointed to /sbin, causing auditd to fail on startup. This patch cannot be sent upstream because audispd does not exist anymore on the master branch (it was merged to auditd). Signed-off-by: Carlos Santos <casantos@datacom.com.br> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* package/libssh2: fix static linking scenarios involving mbedtlsGravatar Fabrice Fontaine2018-11-031-1/+5
| | | | | | | | | | | | | | | | | | | | | | | | curl can be statically linked with mbedtls, in this case build will fail on: kex.c:(.text+0x1be0): undefined reference to `mbedtls_mpi_read_binary' This is due to the fact that CURL_LIBRARIES does not contain mbedtls library: CURL_LIBRARIES:INTERNAL=curl;cares;ssh2;ssh2;z;ssl;crypto;z;z;crypto;z;z;ssl;z;z;crypto;z even if libcurl.pc is correct: Libs.private: -lcares -lssh2 -L/home/fabrice/buildroot/output/host/bin/../arm-buildroot-linux-uclibcgnueabi/sysroot/usr/lib -lssh2 /home/fabrice/buildroot/output/host/arm-buildroot-linux-uclibcgnueabi/sysroot/usr/lib/libmbedcrypto.a /home/fabrice/buildroot/output/host/arm-buildroot-linux-uclibcgnueabi/sysroot/usr/lib/libmbedcrypto.a -L/home/fabrice/buildroot/output/host/bin/../arm-buildroot-linux-uclibcgnueabi/sysroot/usr/lib -L/home/fabrice/buildroot/output/host/bin/../arm-buildroot-linux-uclibcgnueabi/sysroot/usr/lib -lz -lssl -lcrypto -lssl -lz -lz -lcrypto -lz -lz This full library path is added by patch 0002-acinclude.m4-add-mbedtls-to-LIBS.patch on libssh2 so update it to replace $LIBMBDEDCRYPTO by $LTLIBMBEDCRYPTO as suggested by Thomas during review of https://patchwork.ozlabs.org/patch/989339 Fixes: - http://autobuild.buildroot.org/results/dc7810d5d5c62658837cdd2faae6fe3390f968a2 Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* package/x11r7/xdriver_xf86-video-geode: add upstream commits to fix build errorsGravatar Bernd Kuhls2018-11-032-0/+88
| | | | | | | | Fixes http://autobuild.buildroot.net/results/a9b/a9baf6ecf147f336021edda20bb091b8aa071209/ Signed-off-by: Bernd Kuhls <bernd.kuhls@t-online.de> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* package/wireshark: add libkrb5 optional dependencyGravatar Fabrice Fontaine2018-11-031-1/+7
| | | | | | | Specify the path to found libkrb5 as this is done for other options Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* libv4l: disable clangGravatar Fabrice Fontaine2018-11-031-0/+4
| | | | | | | | | | | | | | For the time being, disable clang that is used to build BPF (in-kernel bytecode machine) protocols. Indeed, if an old version of clang is found on the host, it could be used to build object files with a "None" architecture which will be rejected by support/scripts/check-bin-arch Fixes: - http://autobuild.buildroot.org/results/c18fb7f1ac81496db9c3a4e91ea028a26ca600b0 Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* uboot: bump to version 2018.09Gravatar Jagan Teki2018-11-032-3/+3
| | | | | Signed-off-by: Jagan Teki <jagan@amarulasolutions.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* fs/f2fs/Config.in: remove consecutive empty linesGravatar Thomas Petazzoni2018-11-031-1/+0
| | | | | | | | This fixes the following check-package warning: fs/f2fs/Config.in:51: consecutive empty lines Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* DEVELOPERS: add entry for fs/f2fs/Gravatar Thomas Petazzoni2018-11-031-0/+1
| | | | Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* fs/f2fs: add option to define list of filesystem featuresGravatar Grzegorz Blach2018-11-032-1/+11
| | | | | | Signed-off-by: Grzegorz Blach <grzegorz@blach.pl> [Thomas: split from the initial patch from Grzegorz] Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* fs/f2fs: add option to define discard policyGravatar Grzegorz Blach2018-11-032-0/+13
| | | | | | Signed-off-by: Grzegorz Blach <grzegorz@blach.pl> [Thomas: split from the initial patch from Grzegorz] Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* fs/f2fs: add option to define overprovision ratioGravatar Grzegorz Blach2018-11-032-1/+17
| | | | | | | Signed-off-by: Grzegorz Blach <grzegorz@blach.pl> [Thomas: split from the initial patch from Grzegorz, reworded Config.in help text] Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* fs/f2fs: add option to define list of cold file extensionsGravatar Grzegorz Blach2018-11-032-1/+10
| | | | | | Signed-off-by: Grzegorz Blach <grzegorz@blach.pl> [Thomas: split from the initial patch from Grzegorz] Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* fs/f2fs: add support for creating a f2fs imageGravatar Grzegorz Blach2018-11-033-0/+52
| | | | | | | | | | | | This patch makes possible to create rootfs image using f2fs filesystem. Signed-off-by: Grzegorz Blach <grzegorz@blach.pl> [Thomas: - keep only the minimal functionality, as suggested by Yann E. Morin - use truncate -s instead of dd to create the initial empty image file, as suggested by Yann E. Morin] Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* package/f2fs-tools: add host variantGravatar Grzegorz Blach2018-11-034-0/+18
| | | | | | | | | | Having a host variant of this package is useful to create f2fs filesystem images. Signed-off-by: Grzegorz Blach <grzegorz@blach.pl> [Thomas: add explicit --without-blkid and --without-selinux options, following the review from Yann E. Morin.] Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* package/bdwgc: drop AUTORECONF = YESGravatar Thomas Petazzoni2018-11-031-6/+0
| | | | | | | | | | | | Since commit 4e1dbd063d1f3ea7dfc95698320f6fd40139085d ("package/bdwgc: bump to version 8.0.0"), we no longer have any patch that requires autoreconf. In addition, the libtool shipped with the package seems to no longer be bogus, because it builds perfectly fine without autoreconf. Therefore, let's drop this autoreconf. Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com> Reviewed-by: Fabrice Fontaine <fontaine.fabrice@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* package/libv4l: add missing bpf_common.h headerGravatar Peter Seiderer2018-11-031-0/+80
| | | | | | | | | | | | | | | | Fixes [1] (for older toolchains not providing this header): CC keytable.o In file included from bpf.h:26:0, from keytable.c:37: ../../include/linux/bpf.h:12:10: fatal error: linux/bpf_common.h: No such file or directory #include <linux/bpf_common.h> ^~~~~~~~~~~~~~~~~~~~ [1] http://autobuild.buildroot.org/results/d22c0939eed4bc949f7eaeae7595d01ec45cc2cd Signed-off-by: Peter Seiderer <ps.report@gmx.net> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* package/python-urllib3: bump to version 1.24.1Gravatar Asaf Kahlon2018-11-032-4/+4
| | | | | Signed-off-by: Asaf Kahlon <asafka7@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* gcc: Don't mess with test-suite exclusionGravatar Alexey Brodkin2018-11-034-379/+1
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | We used to exclude GCC's test-suite for quite some time now mostly for the sake of space reduction. But: 1. On each GCC version bump we need to revise that functionality as we need to accommodate changes in GCC sources and this couldn't be automated 2. The space reduction is significant, but not huge. The two test suites together take up 290MB, out of 660MB total for GCC (each of them times two because there is the -initial and -final copy). However, whenever we build GCC, we also have kernel headers (about 900MB) and a libc (e.g. glibc is 250MB). So at best, it saves less than 20%. 3. It doesn't really save on build time either. Below are timings of 2 runs on my laptop: a) Vanilla master: --------------------->8--------------------- time make host-gcc-final real 7m15.114s user 19m36.611s sys 2m26.927s --------------------->8--------------------- b) master + testsuite: --------------------->8--------------------- time make host-gcc-final real 7m59.860s user 20m21.668s sys 2m36.618s --------------------->8--------------------- From figures above it's seen that difference is ~45 seconds or ~10%. On both host-gcc-initial and -final we may save ~1.5 minutes... but these are not the only components we build and compared to a total toolchain build time IMHO it is not that much time to care especially traded for maintenance costs on GCC version bumps. Signed-off-by: Alexey Brodkin <abrodkin@synopsys.com> Cc: Thomas Petazzoni <thomas.petazzoni@bootlin.com> Cc: Bernd Kuhls <bernd.kuhls@t-online.de> Cc: Romain Naour <romain.naour@gmail.com> Cc: Peter Korsgaard <peter@korsgaard.com> Cc: Arnout Vandecappelle <arnout@mind.be> [Arnout: add explanation about size impact.] Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be>
* package/davici: new packageGravatar Jared Bents2018-11-025-0/+45
| | | | | | | | | | | | This patch adds davici which is an alternative implementation of the VICI client protocal used by Strongswan. It targets better integration with software stacks and uses a asynchronous, non-blocking API that can be integrated in third-party main dispatching loops without the use of threads. Signed-off-by: Jared Bents <jared.bents@rockwellcollins.com> [Thomas: fix license, it's LGPL-2.1+, add entry in DEVELOPERS file.] Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* package/wireshark: add lua optional dependencyGravatar Fabrice Fontaine2018-11-021-1/+8
| | | | | | | | | - lua 5.3 or luajit is not supported - Don't specify the path to find lua as pkgconfig is used for lua (this is not the case for the other options) Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* package/wireshark: add libssh optional dependencyGravatar Fabrice Fontaine2018-11-021-0/+7
| | | | | | | | | - Optional dependency to libssh has been added with version 2.2.1 and https://github.com/wireshark/wireshark/commit/d6da95231ee790fd884ca2a41fe59aa9b05ccde9 - Specify the path to found libssh as this is done for other options Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* utils/scanpypi: use archive file name to specify the extraction folderGravatar Yegor Yefremov2018-11-021-9/+10
| | | | | | | | | | | | | | | | | | | | | | | | | | | Some packages have archive name that is different from package name. For example websocket-client's archive name is websocket_client-*.tar.gz. scanpypi expects the temporary extract folder to be: /tmp-folder/BR-package-name/PyPI-packagename-and-version In the case of websocket-client package the real extraction folder will be different from the expected one because of the '_' in the archive file name. Use archive file name instead of package name to specify the extraction folder. As the version is already part of this file, we don't need to specify it. Bonus: remove obsolete "return None, None" as the function doesn't return anything. OSError class doesn't provide "message" member, so replace it with "strerror". Fixes: https://bugs.busybox.net/show_bug.cgi?id=11251 Signed-off-by: Yegor Yefremov <yegorslists@googlemail.com> Reviewed-by: Asaf Kahlon <asafka7@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* package/bdwgc: bump to version 8.0.0Gravatar Fabrice Fontaine2018-11-024-66/+3
| | | | | | | | | | | - Remove first patch (already in version): https://github.com/ivmai/bdwgc/commit/7c13fb8fccdebfa4bf9a11abf6fa1619c5902828 - Remove second patch (already in version) - Update license hash: Update header copyright (add Ivan Maidanski), see https://github.com/ivmai/bdwgc/commit/3bd265a64b612af9d906b73394f2adb161bd0dec Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* docs/manual: add external.desc to list of files needed for BR2_EXTERNALGravatar Philipp Wagner2018-11-021-0/+1
| | | | | | | | | | | | external.desc must be present when using a br2-external tree. The documentation notes this later in the text, but the file is missing from the initial overview of files. Fixes bug #11481. Signed-off-by: Philipp Wagner <mail@philipp-wagner.com> Acked-by: "Yann E. MORIN" <yann.morin.1998@free.fr> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* support/scripts/mkmakefile: make wrapper silent by defaultGravatar Serj Kalichev2018-11-021-1/+8
| | | | | | | | | | | | | | | Suppose we use Makefile wrapper and build some project out of buildroot tree (O=...). A command like "make busybox-all-external-deps" will output the string "uname 022 && make ..." to stdout before the usefull information. It pollutes stdout. At the same time if we use the same command in the buildroot source-tree then we don't get the additional output. This patch makes wrapper silent by default. People who prefer to see more verbose output can use V=1. Signed-off-by: Serj Kalichev <serj.kalichev@gmail.com> Reviewed-by: "Yann E. MORIN" <yann.morin.1998@free.fr> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* package/python-tornado: bump version to 5.1.1Gravatar Yegor Yefremov2018-11-022-5/+7
| | | | | | | Add hash for the license file. Signed-off-by: Yegor Yefremov <yegorslists@googlemail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* package/python-pip: bump to version 18.1Gravatar Asaf Kahlon2018-11-022-4/+4
| | | | | | Signed-off-by: Asaf Kahlon <asafka7@gmail.com> Reviewed-by: Yegor Yefremov <yegorslists@googlemail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* package/python-django: select BR2_PACKAGE_PYTHON_SETUPTOOLSGravatar Asaf Kahlon2018-11-021-0/+1
| | | | | | | | | The django-admin cli tool is loaded as entry point with pkg_resources, which is provided by setuptools. Signed-off-by: Asaf Kahlon <asafka7@gmail.com> Reviewed-by: Yegor Yefremov <yegorslists@googlemail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* python-cython: use full package name in .mk comment headerGravatar Asaf Kahlon2018-11-021-1/+1
| | | | | | Signed-off-by: Asaf Kahlon <asafka7@gmail.com> Reviewed-by: Yegor Yefremov <yegorslists@googlemail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>